<!-- <div class="row mt-0 mb-1 mt-1 navbar-date-picker">

        <div class="col-12 offset-0 position-relative">
            <div class="d-flex justify-content-start align-items-center mt-1">

                <div class="btn-group btn-group-toggle ml-3" data-toggle="buttons" *ngIf="!periodeSelector">
                    <button class="btn  bg-white btn-outline-warning " [ngClass]="view === 'day'?'active':''" (click)="changeViewByInterval('day')">
                        <input type="radio" name="options" id="option1" autocomplete="off" [checked]="view === 'day'" > {{'L_SwitchDateFilter_Day' | translate}}
                        </button>
                        <button class="btn bg-white btn-outline-warning" [ngClass]="view !== 'week'?'':'active'" (click)="changeViewByInterval('week')">
                            <input type="radio" name="options" id="option2" autocomplete="off" > {{'L_SwitchDateFilter_Week' | translate}}
                        </button>
                        <button class="btn bg-white btn-outline-warning" [ngClass]="view !== 'month'?'':'active' " (click)="changeViewByInterval('month')">
                            <input type="radio" name="options" id="option3" autocomplete="off" > {{'L_SwitchDateFilter_Month' | translate}}
                        </button>
                </div>
                <div class="btn-group btn-group-toggle ml-3" data-toggle="buttons" *ngIf="periodeSelector">
                  <button class="btn  bg-white btn-outline-warning " [ngClass]="view === 'day'?'active':''" (click)="changeViewByInterval('day')">
                    <input type="radio" name="options" id="option1" autocomplete="off" [checked]="view === 'day'" > {{'L_Restitution_Periode' | translate }}
                  </button>
              </div>

                <div class="ml-1 mt-1">
                    <app-date-picker
                        (dateSelected)="NgbDateSelected($event)"
                        [range]="this.view != 'day'"
                        [WeekRange]="view === 'week'"
                        [fromDate]="fromDate"
                        [toDate]="toDate"
                        (fromDateChange)="fromDate= $event"
                        (toDateChange)="toDate= $event"
                        (startTimeChanged)="startTime = $event"
                        (endTimeChanged)="endTime = $event"
                    ></app-date-picker>
                </div>
                <div class="date-wrapper">
                    <a class="ngx-daterangepicker-action mx-2" (click)="openDatepicker();">
                        <svg-icon src="/assets/icon-svg/date-picker-calendar.svg" class="date-picker-trigger" [svgStyle]="{'width.px':15,'height.px':15}"></svg-icon>
                    </a>
                    <input type="text"
                    autocomplete="off"
                    ngxDaterangepickerMd
                    [closeOnAutoApply]="false"
                        [autoApply]="(view === 'day')"
                        [showDropdowns]="true"
                        [singleDatePicker]="(view === 'day')" [showWeekNumbers]="false"
                        [showISOWeekNumbers]="false"
                        [alwaysShowCalendars]="true"
                        [showCancel]="true"
                        opens="right"
                        [timePicker]='false'
                        [timePicker24Hour]="true"
                        keepCalendarOpeningWithRange
                        showRangeLabelOnInput
                        [locale]="datepickerOptions"
                        [ranges]="range"
                        (change)="addEventDay('change', $event)" class="form-control"
                        class="date-picker-input"
                        [value]="dateRange.startDate | date: 'dd/MM/yyyy'"
                        [ngModel]="dateRange"
                        (ngModelChange)="dateRange = $event"
                        startKey="startDate"
                        endKey="endDate"
                        [dateLimit]="(view === 'week' )?'6':undefined"
                        />
                    </div>
                        <div *ngIf="view !== 'day'" class="date-wrapper">
                            <a class="ngx-daterangepicker-action mx-2" (click)="openDatepicker()">
                            <svg-icon src="/assets/icon-svg/date-picker-calendar.svg" class="date-picker-trigger" [svgStyle]="{'width.px':15,'height.px':15}"></svg-icon>
                        </a>
                        <input
                        class="date-picker-input"
                        type="text" [ngModel]="dateRange.endDate | date: 'dd/MM/yyyy'" (ngModelChange)="dateRange.endDate =$event"/>
                    </div> -->
                <!-- <div  class=" align-items-center">
                    <mat-form-field>
                        <input matInput
                        [matRangeDatepicker]="resultPicker">
                        <mat-range-datepicker #resultPicker [rangeMode]="true"
                        [calendarHeaderComponent]="header"
                        [ngClass]="{'mat-customize': header}"
                        (dateChange)="addEventDay('change', $event)"
                        > </mat-range-datepicker>
                        <mat-datepicker-toggle matPrefix [for]="resultPicker"></mat-datepicker-toggle>

                       </mat-form-field>
                    <mat-form-field>
                        <input matInput [matDatepicker]="picker" name="startDay" #startDay="ngModel"
                            [(ngModel)]="dateRange.startDate" (dateChange)="addEventDay('change', $event)">
                        <mat-datepicker-toggle matPrefix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                </div>
                <div *ngIf="view ==='week'" class="d-flex align-items-center">
                    <mat-form-field>
                        <input matInput [matDatepicker]="picker0" name="startDateWeek" #startDateWeek="ngModel"
                            [(ngModel)]="dateRange.startDate"  (dateChange)="addEventWeek('change', $event)">
                        <mat-datepicker-toggle matPrefix [for]="picker0"></mat-datepicker-toggle>
                        <mat-datepicker #picker0></mat-datepicker>
                    </mat-form-field>
                </div>
                <div *ngIf="view ==='week'" class="d-flex align-items-center ml-1">
                    <mat-label class="d-block small-text font-300  text-muted mr-2">à
                    </mat-label>
                    <mat-form-field>
                        <input matInput [matDatepicker]="picker1" name="endDateWeek" #endDateWeek="ngModel"
                            [(ngModel)]="dateRange.endDate">
                    </mat-form-field>
                </div>
                <div *ngIf="view ==='month'" class="d-flex align-items-center">
                    <mat-form-field>
                        <input matInput [matDatepicker]="picker2" name="startDateMonth" #startDateMonth="ngModel"
                            [(ngModel)]="dateRange.startDate" (dateChange)="addEventMonth('change', $event)">
                        <mat-datepicker-toggle matPrefix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2></mat-datepicker>
                    </mat-form-field>
                </div>
                <div *ngIf="view ==='month'" class="d-flex align-items-center ml-1">
                    <mat-label class="d-block small-text font-300  text-muted mr-2">à
                    </mat-label>
                    <mat-form-field>
                        <input matInput [matDatepicker]="picker3" name="endDateMonth" #endDateMonth="ngModel"
                            [(ngModel)]="dateRange.endDate">
                    </mat-form-field>
                </div> 
            </div>
        </div>
    </div>-->
